## org.eclipse.wst.ws.service.policy.ui
Enum IPolicyOperation.OperationKind

    java.lang.Object
      java.lang.Enum<IPolicyOperation.OperationKind>
          org.eclipse.wst.ws.service.policy.ui.IPolicyOperation.OperationKind

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<IPolicyOperation.OperationKind>

Enclosing interface:
  IPolicyOperation

    public static enum IPolicyOperation.OperationKind

extends java.lang.Enum<IPolicyOperation.OperationKind>

Indicates the kind of Service policy operation that this object represents.

- enumeration: indicates that a list of enumerated values is associated.
- selection: indicates that this operation is associated with some boolean operation
- iconSelection: this operation is similar to the selection operation except that it visual state is rendered via an icon.
- complex: indicates that some complex operation is required to render and persist some policy data. This operation will be rendered via a UI button. When this button is selected the launch class associated with this operation is called.

Enum Constant Summary
`complex`
`enumeration`
`iconSelection`
`selection`

Method Summary
`static IPolicyOperation.OperationKind` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static IPolicyOperation.OperationKind[]` `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### enumeration

    public static final IPolicyOperation.OperationKind enumeration

### selection

    public static final IPolicyOperation.OperationKind selection

### iconSelection

    public static final IPolicyOperation.OperationKind iconSelection

### complex

    public static final IPolicyOperation.OperationKind complex

Method Detail

### values

    public static final IPolicyOperation.OperationKind[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(IPolicyOperation.OperationKind c : IPolicyOperation.OperationKind.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static IPolicyOperation.OperationKind valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name